#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './sourceprefs.ui'
**
** Created: Mon Aug 20 18:32:45 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "sourceprefs.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a SourcePrefs as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SourcePrefs::SourcePrefs( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SourcePrefs" );
    SourcePrefsLayout = new QVBoxLayout( this, 0, 6, "SourcePrefsLayout"); 

    descriptionLabel = new QLabel( this, "descriptionLabel" );
    SourcePrefsLayout->addWidget( descriptionLabel );

    hBoxLayout = new QHBoxLayout( 0, 0, 6, "hBoxLayout"); 

    nameLabel = new QLabel( this, "nameLabel" );
    hBoxLayout->addWidget( nameLabel );

    nameLineEdit = new QLineEdit( this, "nameLineEdit" );
    hBoxLayout->addWidget( nameLineEdit );
    spacer8 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    hBoxLayout->addItem( spacer8 );
    SourcePrefsLayout->addLayout( hBoxLayout );

    taskbarCheckBox = new QCheckBox( this, "taskbarCheckBox" );
    SourcePrefsLayout->addWidget( taskbarCheckBox );

    hBoxLayout2 = new QHBoxLayout( 0, 0, 6, "hBoxLayout2"); 
    spacer8_2 = new QSpacerItem( 20, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    hBoxLayout2->addItem( spacer8_2 );

    nameCheckBox = new QCheckBox( this, "nameCheckBox" );
    hBoxLayout2->addWidget( nameCheckBox );
    SourcePrefsLayout->addLayout( hBoxLayout2 );

    tooltipCheckBox = new QCheckBox( this, "tooltipCheckBox" );
    SourcePrefsLayout->addWidget( tooltipCheckBox );
    languageChange();
    resize( QSize(203, 127).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SourcePrefs::~SourcePrefs()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SourcePrefs::languageChange()
{
    setCaption( tr2i18n( "SourcePrefs" ) );
    descriptionLabel->setText( tr2i18n( "description" ) );
    nameLabel->setText( tr2i18n( "Name:" ) );
    taskbarCheckBox->setText( tr2i18n( "Show this source in Taskbar" ) );
    nameCheckBox->setText( tr2i18n( "Show name in Taskbar" ) );
    tooltipCheckBox->setText( tr2i18n( "Show this source in ToolTip" ) );
}

#include "sourceprefs.moc"
